// Hey emacs this is -*- Java -*- Script
///////////////////////////////////////////////////////////////////////////
//
// Copyright (c) 1998-2001 by Technische Universität München (TUM)
//
// Diese Seite ist Bestandteil des Projekts 
// 
//       INTEGRATION IN DER INGENIEUR-ANALYSIS
// 
// des Zentrums Mathematik und des Medienzentrums der TUM.
// 
// Kontaktadresse: integration@mathematik.tu-muenchen.de
//
///////////////////////////////////////////////////////////////////////////
// Author: Dipl.-Ing. Lars E. Fiedler (fiedler@mathematik.tu-muenchen.de)


function PlayPauseMe()
{
if (navigator.appName == "Netscape")
	{
	document.plugins['java-RA-Plugin'].DoPlayPause();
	toggle_playpause();
	}
else
	{
	RAOCX.DoPlayPause();
	toggle_playpause();
	}
}


function StopMe()
{
if (navigator.appName == "Netscape")
	{
	document.plugins['java-RA-Plugin'].DoStop();
	set_noplaynopause();
	}
else
	{
	RAOCX.DoStop();
	set_noplaynopause();
	}
}


function toggle_playpause() 
{
	img_status = new Array(100);
	img_status['java-RA-Plugin_play'] = true;
	if (document.images['java-RA-Plugin_play'].src.indexOf('play.gif')==-1) 
		{
		img_status['java-RA-Plugin_play'] = false;
		}
	
	if (img_status['java-RA-Plugin_play']) 
		{
		img_status['java-RA-Plugin_play'] = false;
		document.images['java-RA-Plugin_play'].src = '../../../images/audio/pause.gif';
		}
	else 
		{
		img_status['java-RA-Plugin_play'] = true;
		document.images['java-RA-Plugin_play'].src = '../../../images/audio/play.gif';
		}
}


function set_noplaynopause() 
{
	document.images['java-RA-Plugin_play'].src = '../../../images/audio/noplaynopause.gif';
}


function insert_RAplayer(ra_path, ram_file, rpm_file, isaudicon, autostart)
// Ist isaudicon auf true gesetzt, so werden keine Controls und kein RAM-Link eingebaut  //
{
	// Abfragen des RealAudio-Mime-Types und des Plugins
	real = true;
	if (((typeof navigator.mimeTypes['audio/x-pn-realaudio-plugin']) == 'undefined') || ((typeof navigator.mimeTypes['audio/x-pn-realaudio-plugin'].enabledPlugin) == 'undefined'))
		{
		real = false;
		}
	if (real != true)
		{
		if (isaudicon != true)
			{
			document.write('<A HREF=\"' + ra_path + ram_file + '\"><img src=\"../../../images/audio/noplaynopause.gif\" border=0 hspace=0 vspace=0 name=\"RealPlayer_play\"></A>\n');
			}
		}
	else
		{
		if (isaudicon != true)
			{
			document.write('<!-- Hier kommt das RealAudio-Plugin ohne Buttons -->\n');
			if (autostart == true)
				{
				document.write('<A HREF=\"#\" OnClick=\"PlayPauseMe();\"><img src=\"../../../images/audio/play.gif\" border=0 hspace=0 vspace=0 name=\"java-RA-Plugin_play\"></A>\n');
				document.write('<EMBED src=\"' + ra_path + rpm_file + '\" controls=PlayButton width=2 height=0 autostart=true console=\"sprecherton\" name=\"java-RA-Plugin\">\n');
				}
			else
				{
				document.write('<A HREF=\"#\" OnClick=\"PlayPauseMe();\"><img src=\"../../../images/audio/noplaynopause.gif\" border=0 hspace=0 vspace=0 name=\"java-RA-Plugin_play\"></A>\n');
				document.write('<EMBED src=\"' + ra_path + rpm_file + '\" controls=PlayButton width=2 height=0 autostart=false console=\"sprecherton\" name=\"java-RA-Plugin\">\n');
				}
			document.write('<A HREF=\"#\" OnClick=\"StopMe()\"><img src=\"../../../images/audio/stop.gif\" border=0 hspace=0 vspace=0 name=\"java-RA-Plugin_stop\"></A>\n');
			}
		else
			{
			document.write('<EMBED src=\"' + ra_path + rpm_file + '\" controls=PlayButton width=2 height=0 autostart=true console=\"audicon\" name=\"java-RA-Plugin\">\n');
			}
		}
	return true;
}


function insert_Audicon(ra_path, rpm_file, img_path, img_file)
{
	document.write('<A HREF=\"#\" OnMouseOver=\"document.plugins[\'java-RA-Plugin\'].SetSource(\'' + ra_path + rpm_file + '\');document.plugins[\'java-RA-Plugin\'].DoPlayPause();\"><img src=\"' + img_path + img_file + '\" border=0 hspace=0 vspace=0></A>\n');
	return true;
}



///////////////////////////////////////////////////////////////////////
//                                                                   //
//           Wenn Sie statt unserer farbigen Titelseite nur          //
//                                                                   //
//           diesen Text sehen, dann benützen Sie nicht den          //
//                                                                   //
//           richtigen Browser.                                      //
//                                                                   //
//           Es tut uns leid, aktuelle Multimedia-Produkte           //
//                                                                   //
//           müssen alle Möglichkeiten der Software nutzen.          //
//                                                                   //
//                                                                   //
//           Verwenden Sie bitte den neuen                           //
//                                                                   //
//              Netscape Communicator  (Vers. 4.0 aufwärts)          //
//                                                                   //
//                                                 P.Vachenauer      //
///////////////////////////////////////////////////////////////////////
